Modul 5 · 5.2
Eksportere kalender og kontakter fra Google og Microsoft
Modul 5: Kalender og kontakter · Lesetid: 12 minutter
Læringsmål: Etter denne leksjonen kan du lage en fullstendig og brukbar eksport av kalendere og kontakter fra Google og Microsoft, lese en ICS- og vCard-fil, og du vet hva som ikke, eller annerledes, følger med ved eksport.
Nøkkelbegreper: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE og TZID, ORGANIZER og ATTENDEE, VALARM, vCard (VCF) 3.0 og 4.0, csv, Google Takeout, migreringsverktøy
To filformater som nesten alle kjenner
Kalendere og kontakter flytter du med to åpne formater:
- iCalendar, filer med filtypen
.ics(RFC 5545), for kalendere og oppgaver. - vCard, filer med filtypen
.vcf, for kontaktpersoner. Det finnes to versjoner du vil støte på: 3.0 (RFC 2426) og 4.0 (RFC 6350).
Det er vanlige tekstfiler. Du kan åpne dem i en teksteditor, og det er nøyaktig det du skal gjøre i denne leksjonen. Den som vet hva som står i filen, ser også hva som mangler.
Det finnes ofte en enklere vei enn eksport: mange nye tjenester har et migreringsverktøy som med din tillatelse henter kalendere og kontakter direkte fra Google eller Microsoft. Det går raskere og med færre feil. Likevel er en egen eksport lurt: som kontroll (hvor mange avtaler og kontakter hadde jeg?), som sikkerhetskopi før du sier opp den gamle tjenesten, og som utvei hvis administratoren din ikke tillater migreringsverktøyet.
Slik ser en kalenderfil ut
En eksport av kalenderen til Bakkerij De Korrel begynner slik:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARHva du ser:
| Linje | Betydning | Hvor det kan gå galt |
|---|---|---|
BEGIN:VCALENDAR og VERSION:2.0 | dette er en iCalendar-fil | mangler den, avviser importen filen |
BEGIN:VEVENT ... END:VEVENT | én avtale | en manglende END gjør resten uleselig |
UID | det faste kjennetegnet til avtalen | uten UID kan serveren ikke gjenkjenne duplikater |
DTSTART;TZID=... | starttidspunkt i en tidssone | se tidssoner nedenfor |
RRULE | gjentakelsesregel: hver tirsdag | en ugyldig regel gir én avtale i stedet for en rekke |
EXDATE | unntak: denne tirsdagen likevel ikke | |
ORGANIZER, ATTENDEE | hvem inviterte og hvem er invitert | se invitasjoner nedenfor |
VALARM | påminnelse, 30 minutter i forveien | ikke alle tjenester tar over påminnelser |
Tidssoner
Et tidspunkt med TZID=Europe/Amsterdam betyr: klokken 6 om morgenen i Amsterdam, også etter overgangen til sommertid. Filen bør derfor inneholde en VTIMEZONE-blokk som beskriver den tidssonen. Eksporter fra Outlook bruker ofte Windows-navn som W. Europe Standard Time. Det går greit så lenge VTIMEZONE-blokken er med. Mangler den, gjetter den nye tjenesten, og du ser avtaler forskjøvet med en time. Et tidspunkt som slutter på Z (20261110T050000Z) er i UTC og alltid entydig. Et tidspunkt uten tidssone og uten Z kalles en "flytende" tid: den gjelder i tidssonen til den som ser på den.
Heldagsavtaler står som dato uten tid: DTSTART;VALUE=DATE:20261224.
Invitasjoner
En avtale du organiserte, står med deg som ORGANIZER i filen. Etter importen står den i din nye kalender, men deltakerne har den fortsatt i sin egen kalender som en invitasjon fra din gamle adresse, med en UID fra den gamle tjenesten. Endrer du avtalen senere, får de en ny invitasjon. Ved tilbakevendende møter med eksterne kan det være ryddigere å invitere dem på nytt etter overgangen. Avtaler du er invitert til, følger med som vanlig avtale; svar til organisatoren går via e-post.
Eksportere fra Google
- Kalender: i Google Kalender, under Innstillinger, delen Importer og eksporter, knappen Eksporter. Du får en zip-fil med en ics-fil per kalender du eier. Kalendere som andre deler med deg, er ikke med i den; de eksporteres av eieren, eller du eksporterer dem per kalender fra innstillingene til den kalenderen hvis det er tillatt.
- Kontakter: i Google Kontakter velger du kontaktene (eller alle), velger Eksporter og deretter vCard-formatet. Google tilbyr også "Google CSV" og "Outlook CSV"; velg vCard, det beholder strukturen (flere telefonnumre, adresser, bilde).
- Alt på én gang: Google Takeout (takeout.google.com) leverer kalenderen som ics, kontakter som vcf (eller csv) og Gmail som mbox, i zip-filer. Nyttig som sikkerhetskopi av hele kontoen.
Menynavnene endrer seg av og til; søk i hjelpen til Google på "eksportere kalender" ved tvil.
Eksportere fra Microsoft
- Kalender: i klassisk Outlook for Windows kan du lagre en kalender som iCalendar-fil (Lagre som, med valg av periode og "fullstendige detaljer"). Velg en periode som går langt nok tilbake og fremover, og velg fullstendige detaljer, ellers eksporterer du bare ledig/opptatt. I Outlook på nettet kan du publisere en kalender som ICS-lenke og laste ned filen via den lenken; slå av publiseringen igjen etterpå.
- Kontakter: Outlook på nettet eksporterer kontakter som csv, ikke som vCard. Klassisk Outlook eksporterer også i bulk til csv; vCard kan der bare gjøres per kontakt. Mange CardDAV-tjenester kan ikke importere en csv-fil direkte. To utveier: bruk migreringsverktøyet til den nye tjenesten din (det henter kontaktene direkte), eller importer csv-filen i en adressebok i Thunderbird og eksporter den derfra som vCard.
- Delte kalendere og romkalendere er kalendere som tilhører organisasjonen. De eksporteres av administratoren, eller du setter dem opp på nytt i den nye tjenesten.
Hva som ikke, eller annerledes, følger med ved eksport
| Del | Hva som skjer |
|---|---|
| Vedlegg til avtaler | følger som regel ikke med; bare en lenke, eller ingenting |
| Farger og kategorier | noen ganger som CATEGORIES, ofte ikke |
| Påminnelser | noen ganger, avhengig av tjenesten |
| Videomøtelenker (Teams, Meet) | blir stående som tekst i avtalen, men virker ikke lenger etter oppsigelse |
| Kontaktgrupper eller etiketter | ikke alltid; kontroller etter importen |
| Kontaktbilder | følger med i vCard, men gjør filen stor |
Telle før du går videre
Skriv ned før eksporten hvor mange kontakter du har, og for noen kalendere, hvor mange avtaler som står i en fast periode (for eksempel november). Etter importen teller du på nytt. Det er den raskeste måten å se at noe mangler på. I oppgaven til denne leksjonen lar du programmet telle og kontrollere filene dine.
I praksis: slik ser det ut hos en leverandør
I en WebOké Nextcloud finnes det to migreringsverktøy som henter direkte: WebOké Import Tool for Google (Drive, Bilder, Kalender og Kontakter) og Datamigrering for OneDrive og Microsoft 365, som du også bruker til å importere kontakter og kalendere fra Microsoft-kontoen din. Kommer kalenderen din fra et annet sted, importerer du ics- og vCard-filer selv (leksjon 5.3). Nextcloud leser vCard 3.0 og 4.0. Hos andre europeiske tjenester finnes tilsvarende importverktøy eller en importknapp i kalenderen og adresseboken; filformatene er de samme overalt.
Sammendrag
- Kalendere flytter du som ics (iCalendar), kontakter som vcf (vCard 3.0 eller 4.0); det er leselige tekstfiler.
- Et migreringsverktøy som henter direkte er ofte enklere, men lag likevel en egen eksport som kontroll og sikkerhetskopi.
- Legg merke til UID, RRULE og tidssoner med en VTIMEZONE-blokk i en ics-fil; uten den forskyves avtaler.
- Outlook på nettet eksporterer kontakter bare som csv; bruk et migreringsverktøy eller gjør om csv-filen til vCard.
- Tell kontakter og avtaler på forhånd, slik at du kan se etter importen om noe mangler.
Quiz
Oppgave
Oppgave A5.2: Kontroller testeksporten din. Eksporter en kalender (ics) og kontaktene dine (vcf). Fyll først inn hvor mange kontakter du har og hvor mange avtaler du forventer. Last deretter opp filene. Programmet kontrollerer om de er gyldige, teller avtaler, gjentakelser og kontakter, leter etter tidssoner uten beskrivelse og dupliserte kontakter, og sammenligner med dine tall. Filene blir bare lest og ikke lagret.
Oppgave E5.2: Hva blir ikke med? Åpne ics-filen din i en teksteditor. Finn en tilbakevendende avtale, en avtale med deltakere og en avtale med en videomøtelenke. Noter for hver avtale hva du må gjøre etter overgangen.
Oppgave E5.2: Hva blir ikke med?
Åpne din egen ics-fil i en teksteditor.
Avkrysningene og notatene dine blir kun i denne nettleseren; vi sender dem ikke noe sted. Er du logget inn, lagrer vi kun i Mine kurs at du har gjort oppgaven.
Les mer
Trinnene i disse artiklene gjelder for tjenestene til WebOké; hos andre leverandører fungerer det på lignende måte.
- Nextcloud-veiledning 13.5: Overføre kalender og kontakter fra Google, iCloud eller Outlook (ics og vCard)
- Nextcloud-veiledning 13.2: Overføre Google Drive, Bilder, Kalender og Kontakter med WebOké Import Tool
- Nextcloud-veiledning 13.4: OneDrive overføre med Datamigrering
- Nextcloud-veiledning 13.6: Fra Microsoft 365 til WebOké: filer, dokumenter, e-post og kalender
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Google Kalender-hjelp: Eksportere hendelser; Google Kontakter-hjelp: Eksportere kontakter; Microsoft-kundestøtte: Eksportere kontakter fra Outlook
